Ruby - Bug #8486

Random segmentation fault
06/04/2013 08:19 PM - manudwarf (Emmanuel Bourgerie)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 1.9.3p429 (2013-05-15 revision Backport:
40747) [x86_64-darwin11.4.2]

Description
Hello,

Before starting, this is my first bug report here, feel free to tell me if | need to add/modify anything.

| came across a weird segmentation fault, and | apologies for not being able to be more precise about what is happening.
Although | have a how-to-reproduce, the error happens at random points in either rails or gems.
| have several RoR applications, and this one is the only having this problem.

Environment : MacOS, see ruby -v, rvm (stable) and | attached my Gemfile.lock and CrashReporter.
How to reproduce :

1.rails s
2. Open localhost:3000 in browser (is OK)
3. Reload

You get the segmentation fault. Always the same : first loading is correct, then the second fails (even if | restart rails in between).
It is not on one component, nonetheless | have the same filenames if | try again (line of code between parenthesis) :

* gems/dalli-2.3.0/lib/dalli/socket.rb:31 (value << kgio_read!(count - value.bytesize))

e gems/activesupport-3.2.13/lib/active_support/core_ext/hash/except.rb:15 (dup.except!(*keys))

¢ gems/actionpack-3.2.13/lib/action_view/renderer/renderer.rb:51 (@_partial_renderer ||=
PartialRenderer.new(@lookup_context))

e gems/activesupport-3.2.13/lib/active_support/core_ext/module/remove_method.rb:4 (remove_method(method))

¢ code/local/app/helpers/cms_helper.rb:152 (prev_char_ind = paragraph[0..prev_char_ind].rindex(" ") - 1)

e gems/haml-3.1.4/lib/haml/filters.rb:214 (#{text.rstrip.gsub("\n", \n ")})

¢ gems/rack-mini-profiler-0.1.23/Ruby/lib/mini_profiler/sql_timer_struct.rb:15 (Kernel.caller.each do |In|)

As you can see, | can't isolate some sort of "pattern”.

History

#1 - 06/04/2013 08:33 PM - manudwarf (Emmanuel Bourgerie)
| forgot to mention : | tried with ruby 2.0.0 and updated bundle, changed nothing...

#2 - 06/04/2013 10:23 PM - zzak (zzak _)

Can you reproduce without rails and ruby 2.0.0-p195

On Tuesday, June 4, 2013, manudwarf (Emmanuel Bourgerie) wrote:
Issue #8486 has been updated by manudwarf (Emmanuel Bourgerie).
| forgot to mention : | tried with ruby 2.0.0 and updated bundle, changed
nothing...
Author: manudwarf (Emmanuel Bourgerie)
Status: Open

06/16/2025 12



https://bugs.ruby-lang.org/issues/8486
https://bugs.ruby-lang.org/issues/8486
https://bugs.ruby-lang.org/issues/8486#change-39689

Priority: Normal

Assignee:

Category:

Target version:

ruby -v: ruby 1.9.3p429 (2013-05-15 revision 40747) [x86_64-darwin11.4.2]
Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN

Hello,

Before starting, this is my first bug report here, feel free to tell me if
| need to add/modify anything.

| came across a weird segmentation fault, and | apologies for not being
able to be more precise about what is happening.

Although | have a how-to-reproduce, the error happens at random points in
either rails or gems.

| have several RoR applications, and this one is the only having this
problem.

Environment : MacOS, see ruby -v, rvm (stable) and | attached my
Gemfile.lock and CrashReporter.

How to reproduce :

1.rails s
2. Open localhost:3000 in browser (is OK)
3. Reload

You get the segmentation fault. Always the same : first loading is
correct, then the second fails (even if | restart rails in between).

It is not on one component, nonetheless | have the same filenames if | try
again (line of code between parenthesis) :

e gems/dalli-2.3.0/lib/dalli/socket.rb:31 (value << kgio_read!(count -
value.bytesize))

® gems/activesupport-3.2.13/lib/active_support/core_ext/hash/except.rb:15
(dup.except!(*keys))

¢ gems/actionpack-3.2.13/lib/action_view/renderer/renderer.rb:51
(@_partial_renderer ||= PartialRenderer.new(@lookup_context))

gems/activesupport-3.2.13/lib/active_support/core_ext/module/remove_method.rb:4
(remove_method(method))

e code/local/app/helpers/cms_helper.rb:152 (prev_char_ind =
paragraph[0..prev_char_ind].rindex(" ") - 1)

¢ gems/haml-3.1.4/lib/haml/filters.rb:214 (#{text.rstrip.gsub("\n", "\n
"}

gems/rack-mini-profiler-0.1.23/Ruby/lib/mini_profiler/sql_timer_struct.rb:15
(Kernel.caller.each do |In|)

As you can see, | can't isolate some sort of "pattern”.

http://bugs.ruby-lang.org/

#3 - 02/09/2014 02:56 AM - hsbt (Hiroshi SHIBATA)
- Status changed from Open to Feedback

#4 - 07/18/2019 05:34 PM - jeremyevans0 (Jeremy Evans)
- Status changed from Feedback to Closed
- Backport deleted (1.9.3: UNKNOWN, 2.0.0: UNKNOWN)

Files

Gemfile.lock 6.23 KB 06/04/2013 manudwarf (Emmanuel Bourgerie)

ruby_2013-06-04-121437_News-MacBook-Pro.crash 28.6 KB 06/04/2013 manudwarf (Emmanuel Bourgerie)
